✨ Get state backfill status
Retrieve the status of a state backfill job for the authenticated user’s active organization. By default returns the aggregated org status, or specify job_id or project_id to get explicit job statuses. Shows progress, completion time, and any errors. Requires administrator or owner role and state management access.
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Query parameters
job_id
Optional job ID to retrieve specific job status
project_id
Optional project ID to retrieve the latest job status for a project. If omitted, returns aggregated org status.
Response
completed_at
created_at
error_message
job_id
Job ID (if fetching a specific job)
org_status
Aggregated organization status
progress
rq_job_id
rq_job_info
started_at
status
triggered_by
Errors
403
Forbidden Error
404
Not Found Error